<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class artistes extends CI_Controller {

	public function __construct(){
		parent::__construct();
		$this->load->model('model_music');
	}
	public function index(){
		$artistes = $this->model_music->getArtists();
		$this->load->view('layout/header');
		$this->load->view('artistes_list',['artistes'=>$artistes]);
		$this->load->view('layout/footer');
	}
	public function view($AlbumsOfArtistId){
		$AlbumsOfArtist = $this->model_music->getAlbumsOfArtist($AlbumsOfArtistId);
		$this->load->view('layout/header');
		$this->load->view('albums_artist_list',['AlbumsOfArtist'=>$AlbumsOfArtist]);
		$this->load->view('layout/footer');
	}

}